Skip to main content
POST
https://ge-exchange-staging-1.herokuapp.com/v1/
api
/
members
/
{id}
/
token
/
{tokenId}
/
fund-invest
/
quote
{
    "investmentAmount": 10000,
    "currency": "NGN"
}
{
    "status": "success",
    "message": "Investment quote retrieved successfully",
    "data": {
        "investmentAmount": 10000,
        "currency": "NGN",
        "fees": {
            "getequity": 200,
            "getequityPercent": 2,
            "flutterwave": 143,
            "total": 343
        },
        "totalAmount": 10343
    }
}
id
string
required
The member’s user ID
tokenId
string
required
The token ID to invest in
investmentAmount
number
required
The amount to invest
currency
string
required
The currency code (e.g., NGN, USD)
{
    "investmentAmount": 10000,
    "currency": "NGN"
}
{
    "status": "success",
    "message": "Investment quote retrieved successfully",
    "data": {
        "investmentAmount": 10000,
        "currency": "NGN",
        "fees": {
            "getequity": 200,
            "getequityPercent": 2,
            "flutterwave": 143,
            "total": 343
        },
        "totalAmount": 10343
    }
}

Error Codes

CodeHTTP StatusDescription
TOKEN_ACCESS_DENIED_ERROR403User doesn’t have access to this token
DEAL_ACCESS_DENIED_ERROR403User doesn’t have access to this deal
TOKEN_CLOSED_ERROR400Token is closed for investment
TOKEN_EXITED_ERROR400Token has exited
AMOUNT_TOO_LOW_ERROR400Investment amount is below minimum
BELOW_MIN_TRADE_ERROR400Amount below minimum trade limit
ABOVE_MAX_TRADE_ERROR400Amount above maximum trade limit
INVALID_AMOUNT_ERROR400Invalid investment amount
TOKEN_NOT_FOUND_ERROR404Token not found